E-MailRelay

Classes | Functions
G::AlignImp Namespace Reference

An implementation namespace for G::align(). More...

## Classes
struct | log2of
| Evaluates the number of bits in the template parameter N. More...
struct | log2of< 1U >
| Terminal specialisation of log2of<N>. More...

## Functions
template<typename Talign , typename Tvalue >
constexpr Tvalue | mask (Tvalue n)
template<typename Talign , typename Tvalue >
constexpr Tvalue | shift (Tvalue n)
template<typename Talign , typename Tchar >
void * | align_imp (const Tchar *p, const std::size_t n_in)

## Detailed Description

An implementation namespace for G::align().

## Function Documentation

## ◆ align_imp()

template<typename Talign , typename Tchar >

void * G::AlignImp::align_imp | ( | const Tchar * | p,
|  | const std::size_t | n_in
| ) |  |
| inline

Definition at line 58 of file galign.h.

## ◆ mask()

template<typename Talign , typename Tvalue >

constexpr Tvalue G::AlignImp::mask | ( | Tvalue | n | ) |
| inline constexpr

Definition at line 45 of file galign.h.

## ◆ shift()

template<typename Talign , typename Tvalue >

constexpr Tvalue G::AlignImp::shift | ( | Tvalue | n | ) |
| inline constexpr

Definition at line 52 of file galign.h.